API Docs
Authenticate with an API key using the header Authorization: Bearer
OpenAPI spec
Download the spec from /api/openapi.json.
Render PDF
POST to receive /api/v1/render/pdf application/pdf.
curl -X POST "https://your-domain.com/api/v1/render/pdf" \
-H "Authorization: Bearer ig_live_..." \
-H "Content-Type: application/json" \
--data '{"document":{"documentType":"INVOICE","number":"0001","issueDate":"2026-01-01","fromName":"Acme","clientName":"Client","currency":"USD","lineItems":[{"name":"Services","quantity":1,"unitCost":100}],"taxType":"OFF","taxValue":0,"discountType":"OFF","discountValue":0,"shippingEnabled":false,"shippingValue":0,"amountPaidEnabled":false,"amountPaid":0,"theme":"classic","pageSize":"letter"}}' \
--output invoice.pdfRender UBL XML
POST to receive /api/v1/render/ubl application/xml.
curl -X POST "https://your-domain.com/api/v1/render/ubl" \
-H "Authorization: Bearer ig_live_..." \
-H "Content-Type: application/json" \
--data '{"document":{"documentType":"INVOICE","number":"0001","issueDate":"2026-01-01","fromName":"Acme","clientName":"Client","currency":"USD","lineItems":[{"name":"Services","quantity":1,"unitCost":100}],"taxType":"OFF","taxValue":0,"discountType":"OFF","discountValue":0,"shippingEnabled":false,"shippingValue":0,"amountPaidEnabled":false,"amountPaid":0,"theme":"classic","pageSize":"letter"}}'Usage
GET for your current month usage and quota /api/v1/usage.
curl "https://your-domain.com/api/v1/usage" \
-H "Authorization: Bearer ig_live_..."